Package org.gradle.tooling.events.work

# Interface WorkItemOperationDescriptor

All Superinterfaces:
  `OperationDescriptor`

public interface WorkItemOperationDescriptor extends OperationDescriptor
Describes a work item operation for which an event has occurred.

Since:
  5.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClassName()`
  Returns the fully-qualified class name of work item's action.

  ### Methods inherited from interface org.gradle.tooling.events.OperationDescriptor

  `getDisplayName, getName, getParent`

- ## Method Details

  - ### getClassName

    String getClassName()
    Returns the fully-qualified class name of work item's action.